<h1 align="center">
  <img alt="Icon" src="pack.png" width="128" height="128" style="image-rendering: pixelated"><br/>
  Spawn Animations
</h1>
<p align="center">
  <a href="https://github.com/Tschipcraft/spawnanimations/stargazers"><img alt="GitHub Stars" src="https://img.shields.io/github/stars/Tschipcraft/spawnanimations?colorA=151513&colorB=e3e1ce&style=for-the-badge"></a>
  <a href="https://www.curseforge.com/minecraft/texture-packs/spawn-animations"><img alt="CurseForge Downloads" src="https://img.shields.io/curseforge/dt/811803?label=CurseForge&colorA=151513&colorB=e3e1ce&style=for-the-badge&logo=curseforge"></a>
  <a href="https://modrinth.com/datapack/spawn-animations"><img alt="Modrinth Downloads" src="https://img.shields.io/modrinth/dt/spawn-animations?label=Modrinth&colorA=151513&colorB=e3e1ce&style=for-the-badge&logo=modrinth"></a>
  <a href="https://github.com/Tschipcraft/spawnanimations/releases/latest"><img alt="GitHub Downloads" src="https://img.shields.io/github/downloads/Tschipcraft/spawnanimations/total?logo=github&colorA=151513&colorB=e3e1ce&style=for-the-badge"></a>
</p>

> A data pack/mod for Minecraft 1.14x-1.21x

## Features

Hostile mobs dig out of the ground or poof into existence when they spawn.

**Works with:**
Zombies, Husks, Drowned, Skeletons, Strays, Bogged, Spiders, Cave Spiders, Creepers, Slimes, Magma Cubes, Wither Skeletons, Hoglins, Zombified Piglins, Striders, Enderman and Giants.

This data pack/mod is designed to be as unintrusive as possible. Hidden entities including their worn armor and tools will only be invisible and silent.

This data pack/mod is completely server-side, but can also be installed on the client for singleplayer worlds!

[➜ For available settings and customization, take a look at the wiki](https://github.com/Tschipcraft/spawnanimations/wiki)

More sophisticated animations with Animated Java are planned for v2.0.

## Demo GIFs

<details>
<summary>Click to expand</summary>
<img alt="Stray digging up" src="https://i.imgur.com/X8A0UY9.gif" width=55%>
<img alt="Enderman digging up" src="https://i.imgur.com/0rLJakI.gif" width=55%>
</details>


## Installation

Download the latest release from [here](https://github.com/Tschipcraft/spawnanimations/releases/latest) and put the data pack .zip file into the `datapacks` folder of your Minecraft world.

For Minecraft 1.14, 1.15 and 1.16 use [a legacy edition](https://github.com/Tschipcraft/spawnanimations/tree/master/other_editions).

This data pack is also available as a mod with an additional global config file and settings menu when installed alongside [MidnightLib](https://modrinth.com/mod/midnightlib). Download the latest release and put the mod .jar file into your `.minecraft/mods` folder.

Also available on Modrinth and CurseForge!

<a href="https://modrinth.com/datapack/spawn-animations">
<picture>
  <source height="72px" media="(prefers-color-scheme: dark)" srcset="https://raw.githubusercontent.com/Tschipcraft/badges/main/assets/modrinth-badge-dark.svg">
  <source height="72px" media="(prefers-color-scheme: light)" srcset="https://raw.githubusercontent.com/Tschipcraft/badges/main/assets/modrinth-badge-light.svg">
  <img height="72px" alt="Download on Modrinth" src="https://raw.githubusercontent.com/Tschipcraft/badges/main/assets/modrinth-badge-dark.svg">
</picture>
</a>
<a href="https://www.curseforge.com/minecraft/texture-packs/spawn-animations">
<picture>
  <source height="72px" media="(prefers-color-scheme: dark)" srcset="https://raw.githubusercontent.com/Tschipcraft/badges/main/assets/curseforge-badge-dark.svg">
  <source height="72px" media="(prefers-color-scheme: light)" srcset="https://raw.githubusercontent.com/Tschipcraft/badges/main/assets/curseforge-badge-light.svg">
  <img height="72px" alt="Download on CurseForge" src="https://raw.githubusercontent.com/Tschipcraft/badges/main/assets/curseforge-badge-dark.svg">
</picture>
</a>

## Development Builds

Development builds are available on [GitHub Actions](https://github.com/Tschipcraft/spawnanimations/actions/workflows/ci.yml). These builds are not guaranteed to be stable and may contain bugs. Please always back up your world before using them.

## Manage

To open the ingame menu, execute `/trigger tschipcraft.menu` or `/function #tschipcraft:menu`. There is a **Reset** and an **Uninstall** button.
